#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "matrices.h"
#include "calculs_matrices.h"

// Fonctions des questions 2 et 3 à la fin de calculs_matrices.c


//génération de la matrice pour la question 4
matrice* genererMatrice(int n){
  matrice *m = constructMatrice(n,n,0);
  int i;
  for(i=0;i<n; i++){
    set(i,i,3,m);
    if(i!= 0)
      set(i,i-1,1,m);
    if(i!= n-1)
      set(i,i+1,1,m);
  }
  return m;
}



int main(){

  printf("---------------- TP3 Q2 ---------------\n");
  matrice *A = loadFromFile("Matrices/32.mat");

  printf("A :\n");
  printMatrice(A);
  matrice* B = Cholesky(A);
  printf("B :\n");
  printMatrice(B);

  freeMatrice(B);
  printf("---------------- TP3 Q3 ---------------\n");

  matrice* b = loadFromFile("Matrices/33.vect");

  printf("A :\n");
  printMatrice(A);
  printf("b :\n");
  printMatrice(b);
  B = ResolutionCholesky(A,b);
  printf("x :\n");
  printMatrice(B);

  freeMatrice(b);
  freeMatrice(A);
  freeMatrice(B);

/*
  printf("---------------- TP3 Q4 -----------------\n");

  temps_calculs();
*/
  return 1;
}
